﻿@{Layout = "~/Views/Shared/_BlankLayout.cshtml"; }
@Html.Partial("_InvoiceByAirPartialScript")
@using SPEX.Models
@model SPEX.Models.mInvoice 
@*Pop Up Part Master*@
@using (Html.BeginForm("", "InvoiceByAirHeader", FormMethod.Post))
{
    <table style="width: 100%">
        <tr>
            <td style="width: 12%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Packing Company";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="14" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PACKING_COMPANY";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                }).Bind(@Model.PACKING_COMPANY).GetHtml()
                @Html.DevExpress().TextBox(
                  settings =>
                  {
                      settings.Name = "I_PREV_LINK";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.ClientVisible = false;
                  }).Bind(ViewData["PREV_LINK"]).GetHtml()
                @Html.DevExpress().TextBox(
                  settings =>
                  {
                      settings.Name = "I_CASE_DANGER_FLAG";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.ClientVisible = false;
                  }).Bind(@Model.DG_CARGO).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Invoice Number";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_INVOICE_NO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                }).Bind(@Model.INVOICE_NO).GetHtml()
            </td>
            <td style="width: 3%">
                &nbsp
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Invoice Date";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_INVOICE_DT";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.DisplayFormatString = "yyyy.MM.dd";
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                }).Bind(((DateTime)@Model.INVOICE_DT).ToString("yyyy.MM.dd")).GetHtml()
            </td>
            <td style="width: 3%">
                &nbsp
            </td>
            <td style="width: 12%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "DHL AWB No";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_DHL_AWB_NO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    settings.Properties.MaxLength = 50;
                    settings.ClientEnabled = @Model.GetDHLValidation("DHL_AWB_VALIDATION_" + @Model.DHL_AWB_NO);
                }).Bind(@Model.DHL_AWB_NO).GetHtml()
            </td>
            <td style="width: 20%" colspan="2">
                &nbsp
            </td>
        </tr>
        <tr>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "SI No";
                    }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_SI_NO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 150;
                    settings.ClientEnabled = false;
                }).Bind(@Model.SHIP_INSTRUCTION_NO).GetHtml()
            </td>
            <td style="width: 3%">
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*FA";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_FA";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = true;
                }).Bind(@Model.FORWARDING_AGENT).GetHtml()
            </td>
            <td style="width: 3%">
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "DG Cargo";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_DG_CARGO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                }).Bind(@Model.DG_CARGO).GetHtml()
            </td>
            <td style="width: 20%" colspan="2">
            </td>
        </tr>
        <tr>
            <td colspan="12">
                &nbsp
            </td>
        </tr>
        <tr>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Buyer PD";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_BUYER_PD";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                }).Bind(@Model.BUYER_PD).GetHtml()
            </td>
            <td style="width: 3%">
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Country";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_COUNTRY";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                }).Bind(@Model.COUNTRY).GetHtml()
            </td>
            <td style="width: 3%">
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Trans";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_TRANS";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                }).Bind(@Model.TRANS).GetHtml()
            </td>
            <td style="width: 20%" colspan="2">
            </td>
        </tr>
        <tr>
            <td colspan="12">
                &nbsp
            </td>
        </tr>
        <tr>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Invoice Total Case";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_TOTAL_CASE";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                    settings.Properties.DisplayFormatString = "##0";
                }).Bind(@Model.TOTAL_CASE).GetHtml()
            </td>
            <td style="width: 3%">
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Invoice Total Item";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_TOTAL_ITEM";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                    settings.Properties.DisplayFormatString = "##0";
                }).Bind(@Model.TOTAL_ITEM).GetHtml()
            </td>
            <td style="width: 3%">
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Invoice Part Qty";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_TOTAL_QTY";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                    settings.Properties.DisplayFormatString = "##0";
                }).Bind(@Model.TOTAL_QTY).GetHtml()
            </td>
            <td style="width: 20%" colspan="2">
            </td>
        </tr>
        <tr>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Invoice Gross Weight";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" style="width: 7%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_GROSS_WEIGHT";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                    settings.Properties.DisplayFormatString = "##0.0";
                }).Bind(@Model.GROSS_WEIGHT).GetHtml()
            </td>
            <td style="width: 5%">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "KGS";
                }).GetHtml()
            </td>
            <td style="width: 3%">
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Invoice Net Weight";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" style="width: 7%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_NET_WEIGHT";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                    settings.Properties.DisplayFormatString = "##0.0";
                }).Bind(@Model.NET_WEIGHT).GetHtml()
            </td>
            <td style="width: 5%">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "KGS";
                }).GetHtml()
            </td>
            <td style="width: 3%">
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Invoice Measurement";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" style="width: 10%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_MEASUREMENT";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                    settings.Properties.DisplayFormatString = "##0.0##";
                }).Bind(@Model.MEASUREMENT).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "M3";
                }).GetHtml()
            </td>
            <td style="width: 20%" colspan="2">
            </td>
        </tr>
        <tr>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Total FOB Amount";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="14">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_FOB_AMOUNT";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                    settings.Properties.DisplayFormatString = "#,##0.0##";
                }).Bind(@Model.FOB_AMOUNT).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Vessel Name";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_VESSEL_NAME";
                    settings.Width = 100;
                    settings.SelectedIndex = -1;
                    settings.Properties.DropDownWidth = 100;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.CallbackRouteValues = new { Controller = "InvoiceByAir", Action = "GetVesselNameByAirList" };
                    settings.Properties.ValueField = "SYSTEM_VALUE";
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.Columns.Add("SYSTEM_VALUE", "Vessel Name", 100);
                    settings.Properties.ClientSideEvents.SelectedIndexChanged = "I_VESSEL_NAME_SelectedIndexChanged";
                }).BindList((List<mInvoice>)ViewData["VesselNameList"]).Bind(@Model.VESSEL_NAME).GetHtml()
            </td>
            <td colspan="6">
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*ETD";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" style="width: 12%">
                @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "I_ETD";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                    settings.Properties.DisplayFormatInEditMode = true;
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.ReadOnly = false;
                    settings.Properties.UseMaskBehavior = true;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.CalendarProperties.EnableYearNavigation = true;
                    settings.Width = 100;
                    settings.Properties.MinDate = (DateTime)ViewData["MIN_ETD"];
                }).Bind(@Model.ETD).GetHtml()
            </td>
            <td style="width: 20%" colspan="2">
            </td>
        </tr>
        <tr>
            <td style="width: 10%" align="left" rowspan="2">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Special Instruction";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left" rowspan="2">
                :
            </td>
            <td align="left" style="width: 12%" colspan="7" rowspan="2">
                @Html.DevExpress().Memo(
                TextBox =>
                {
                    TextBox.Name = "I_SPECIAL_INSTRUCTION";
                    TextBox.Properties.EnableClientSideAPI = true;
                    TextBox.Width = 500;
                    TextBox.Height = 80;
                    TextBox.ClientEnabled = false;
                    //TextBox.Properties.MaxLength = 500;
                }).Bind(@Model.SPECIAL_INSTRUCTION).GetHtml()
            </td>
            <td>
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "VI. Vanning No";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_VANNING_NO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                }).Bind(@Model.VANNING_NO).GetHtml()
            </td>
            <td style="width: 20%" colspan="2">
            </td>
        </tr>
        <tr>
            <td>
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*VI. Vanning Date";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" style="width: 12%">
                @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "I_VANNING_DT";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                    settings.Properties.DisplayFormatInEditMode = true;
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.ReadOnly = false;
                    settings.Properties.UseMaskBehavior = true;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.CalendarProperties.EnableYearNavigation = true;
                    settings.Width = 100;
                    settings.Properties.MinDate = (DateTime)ViewData["MIN_VANNING_DT"];
                    //settings.Properties.ClientSideEvents.DateChanged = "I_ETD_OnChanged";
                }).Bind(@Model.VANNING_DT).GetHtml()
            </td>
            <td style="width: 20%" colspan="2">
            </td>
        </tr>
        <tr>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Payment Term";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PAYMENT_TERM_01";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.Properties.MaxLength = 15;
                    settings.ClientEnabled = false;
                }).Bind(@Model.PAYMENT_TERM_01).GetHtml()
            </td>
            <td style="width: 3%">
                &nbsp
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Freight";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_FREIGHT";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    settings.Properties.DisplayFormatString = "#,##0.000##";
                    settings.ClientEnabled = false;
                }).Bind(@Model.FREIGHT).GetHtml()
            </td>
            <td style="width: 3%">
                &nbsp
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Signature";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left" colspan="4">
            </td>
        </tr>
        <tr>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Price Term";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PRICE_TERM_DESC";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    settings.ClientEnabled = false;
                }).Bind(@Model.PRICE_TERM_DESCR).GetHtml()
            </td>
            <td style="width: 3%">
                &nbsp
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Insurance";
                }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_INSURANCE_AMOUNT";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    settings.Properties.DisplayFormatString = "#,##0.000##";
                    settings.ClientEnabled = false;
                }).Bind(@Model.INSURANCE_AMOUNT).GetHtml()
            </td>
            <td style="width: 3%">
                &nbsp
            </td>
            <td style="width: 10%" align="left" colspan="6" rowspan="2">
                @Html.DevExpress().Image(
                settings =>
                {
                    settings.Name = "I_SIGNATURE";
                    settings.Width = 120;
                    settings.Height = 50;
                    //settings.Properties.MaxLength = 15;
                }).Bind(@Model.SIGNATURE).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Correction";
                    }).GetHtml()
            </td>
            <td style="width: 2%" align="left">
                :
            </td>
            <td align="left" colspan="2" style="width: 12%">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_CORRECTION";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    settings.Properties.DisplayFormatString = "####0.000";
                    settings.ClientEnabled = false;
                }).Bind(@Model.CORRECTION).GetHtml()
            </td>
            <td colspan="6">
            </td>
        </tr>
        <tr>
            <td colspan="14" style="width: 80%">
                &nbsp
            </td>
            <td style="width: 10%" align="right">
                &nbsp
            </td>
            <td style="width: 10%" align="right">
                &nbsp
            </td>
        </tr>
         <tr>
                <td style="width: 80%" colspan="14">
                    &nbsp
                </td>
                <td style="width: 10%" align="right">
                    @Html.DevExpress().Button(
                    print =>
                    {
                        print.Name = "cmdEdit";
                        print.Width = 100;
                        print.Text = "Edit";
                        print.ClientSideEvents.Click = "OnEdit";
                        print.Style.Add("display", "inline-table");
                        print.UseSubmitBehavior = false;
                        print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceByAir", "FTR-SPEX-46-02", "EDIT");
                    }
                    ).GetHtml()
                </td>
                <td style="width: 10%" align="right">
                    @Html.DevExpress().Button(
                    print =>
                    {
                        print.Name = "cmdSave";
                        print.Width = 100;
                        print.Text = "Save";
                        print.ClientSideEvents.Click = "OnSave";
                        print.Style.Add("display", "inline-table");
                        print.UseSubmitBehavior = false;
                        print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceByAir", "FTR-SPEX-46-02", "SAVE");
                    }
                    ).GetHtml()
                </td>
            </tr>
    </table>
}